Bug 327031 - bluetooth stopped working in F8t3 - Powerbook G4
bluetooth stopped working in F8t3 - Powerbook G4
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-10 18:01 EDT by Alex Kanavin
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-11 04:50:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: fedora_requires_release_note?

Attachments (Terms of Use)
dmesg output (16.21 KB, text/plain)
2007-10-10 18:01 EDT, Alex Kanavin
no flags Details

  None (edit)
Description Alex Kanavin 2007-10-10 18:01:36 EDT
The Powerbook G4's built-in bluetooth stopped working after installing F8t3
(worked fine in F7). hcitool scan says:
[root@cs181011028 ak]# hcitool scan
Device is not available: No such device

I'm a bit unsure where to start, but I have attached the dmesg output.
Comment 1 Alex Kanavin 2007-10-10 18:01:36 EDT
Created attachment 223471 [details]
dmesg output
Comment 2 Chuck Ebbert 2007-10-10 19:30:54 EDT
Please post dmesg from the working kernel...
Comment 3 Alex Kanavin 2007-10-10 20:55:05 EDT
Ok, it was something else entirely. Apparently on bootup bluetooth is in HID
mode (keyboard and mouse only) and needs to be switched into HCI (real
bluetooth) mode with hid2hci utility. For some reason this was disabled a few
days ago in rawhide, package bluez-utils:

* Fri Oct 05 2007 - Bastien Nocera <bnocera@redhat.com> 3.19-2
- Disable hid2hci by default, it causes more problems than
  it solves on stock installations (especially on Macs, #157971)

Perhaps we can find some solution with Bastien...
Comment 4 Bastien Nocera 2007-10-11 04:50:43 EDT
Edit /etc/sysconfig/bluetooth and set HID2HCI_ENABLE to true.

It's disabled because it breaks iMacs and machines with Logitech HCI proxy
dongles. We don't have enough hardware docs to be able to add the bluetooth
devices those dongles drive to the input devices.
Comment 5 Alex Kanavin 2007-10-11 06:31:46 EDT
Editing config files is not really a solution, is it? Bluetooth has completely stopped working for me 
because of this change, I'm sure more people are going to complain.

You definitely should add this to release notes. 
Comment 6 Bastien Nocera 2007-10-11 09:10:48 EDT
Adding the release notes flag.

I filed bug 327601 about starting hid2hci from HAL, for selected systems such as
Mac laptops.

Note You need to log in before you can comment on or make changes to this bug.